package com.example.arqdemo;

import java.io.Serializable;
import javax.persistence.*;

@Entity(name="simple_entity")
public class SimpleEntity implements Serializable {
    
    // Just a test, so proper version UID not provided
    static final long serialVersionUid = 1L;
            
    // Not using ID generation for this quick and dirty test,
    // we'll just make IDs up in tests and create them if they
    // don't exist.
    @Id
    @Column(name="id")
    private Integer id;
    
    @Column(name="garbage")
    private String garbage;
    
    public Integer getId() {
        return id;
    }
    
    public void setId(Integer id) {
        this.id = id;
    }
    
    public String getGarbage() {
        return garbage;
    }
    
    public void setGarbage(String garbage) {
        this.garbage = garbage;
    }
}
